http_server:
  listen_address: :8081
  read_header_timeout: 60
  shutdown_timeout: 5

api:
  amplitude:
    ampli_environment_env: AMPLI_ENVIRONMENT
  middleware:
    api_protocol_env: API_PROTOCOL
    domain_env: SERVICE_HOST
    api_endpoint_env: API_ENDPOINT
    signature:
      secret_key_env: API_ENDPOINT_SECRET
      algorithm: HS256
    CORS:
      max_age: 300
      allowed_origins:
        - "http://*"
        - "https://*"
      allowed_methods:
        - "GET"
        - "POST"
        - "PATCH"
        - "DELETE"
        - "OPTIONS"
      allowed_headers:
        - "Accept"
        - "Authorization"
        - "Content-Type"
      exposed_headers:
      allow_credentials: false
    websocket:
      endpoint_env: WS_ENDPOINT
      timeout: 60
    message_broker:
      driver: NATS
      settings:
        url_env: NATS_URL
        host_env: NATS_HOST         
        port_env: NATS_PORT         
        username_env: NATS_USER     
        password_env: NATS_PASSWORD 
        broker_name: Sendico Notification server
        max_reconnects: 10          
        reconnect_wait: 5     
        buffer_size: 1024
      # type: in-process
      # settings:
      #   buffer_size: 10
  notification:
    driver: client
    settings: 
      username_env: MAIL_USER
      password_env: MAIL_SECRET
      host: "mail.sendico.io"
      port: 465
      from: "Sendico Tech"
      network_timeout: 10
    telegram:
      bot_token_env: TELEGRAM_BOT_TOKEN
      chat_id_env: TELEGRAM_CHAT_ID
      thread_id_env: TELEGRAM_THREAD_ID
      api_url: "https://api.telegram.org"
      timeout_seconds: 10
      parse_mode: markdown

localizer:
  path: "./i18n"
  languages: ["en", "ru"]
  service_name: "Sendico"
  support: "support@sendico.io"

app:

database:
  driver: mongodb
  settings:
    host_env: MONGO_HOST
    port_env: MONGO_PORT
    database_env: MONGO_DATABASE
    user_env: MONGO_USER
    password_env: MONGO_PASSWORD
    auth_source_env: MONGO_AUTH_SOURCE
    replica_set_env: MONGO_REPLICA_SET
    enforcer: 
      driver: native
      settings:
        model_path_env: PERMISSION_MODEL
        adapter:
          collection_name_env: PERMISSION_COLLECTION
          database_name_env: MONGO_DATABASE
          timeout_seconds_env: PERMISSION_TIMEOUT
          is_filtered_env: PERMISSION_IS_FILTERED    
